%define upstream_name Config-Model-Tester
%define upstream_version 2.054

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Test framework for Config::Model
License:    LGPLv2
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::File::Contents)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildArch:  noarch

%description
Config::Model::Tester provides a way to test configuration models with
test files. This class was designed to test several models and several
test cases per model.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.54.0-3pclos2017
- rebuild against updates

